﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace _345225_TileViewExample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            radTileView1.ItemsSource = this.GenerateTiles();
        }

        public ObservableCollection<ViewModel> GenerateTiles()
        {
            ObservableCollection<ViewModel> result = new ObservableCollection<ViewModel>();
            for (int i = 0; i < 7; i++)
            {
                ViewModel tile = new ViewModel()
                {
                    Header = String.Format("Tile {0}", i),
                    Content = String.Format("Content of Tile {0}", i)
                };
                result.Add(tile);
            }
            return result;
        }

        double minColumnWidth = 300;
        private void radTileView1_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            RadTileView tileView = sender as RadTileView;
            int columnsCnt = (int)(tileView.ActualWidth / minColumnWidth);
            tileView.ColumnsCount = columnsCnt > 0 ? columnsCnt : 1;
        }
    }
}
